Package ru.bitel.bgbilling.modules.phone.server.bean

# Class CalculateClientItem

java.lang.Object
ru.bitel.bgbilling.modules.phone.server.bean.CalculateClientItem

public class CalculateClientItem extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `CalculateClientItem.ContractInfo`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `CalculateClientItem.ContractInfo`
  `contract`
  `Calendar`
  `date1`
  `Calendar`
  `date2`
  `int`
  `itemId`
  `List<String>`
  `keys`
  `int`
  `serviceId`
  `Set<CalculateClientItem.ContractInfo>`
  `subContracts`
  `Map<Integer,List<ru.bitel.bgbilling.kernel.tariff.server.tree.TariffModuleTreeSet.Entry>>`
  `subContractTariffTreeMapNew`
  `boolean`
  `tariffInit`
  `List<ru.bitel.bgbilling.kernel.tariff.server.tree.TariffModuleTreeSet.Entry>`
  `tariffTreeListNew`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CalculateClientItem(ClientItem item, CalculateClientItem.ContractInfo contract, Set<CalculateClientItem.ContractInfo> subContracts)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `check(ru.bitel.bgbilling.modules.phone.server.LogRecord record, ru.bitel.bgbilling.kernel.base.phone.server.RangeMapCache rangeMapCache)`
  `Pattern`
  `getFromPortsPattern()`
  `Pattern`
  `getNotFromNumberPattern()`
  `Pattern`
  `getNotToNumberPattern()`
  `Pattern`
  `getToPortsPattern()`
  `void`
  `setFromPortsPattern(Pattern fromPortsPattern)`
  `void`
  `setNotFromNumberPattern(Pattern notFromNumberPattern)`
  `void`
  `setNotToNumberPattern(Pattern notToNumberPattern)`
  `void`
  `setToPortsPattern(Pattern toPortsPattern)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### serviceId

    public int serviceId

  - ### keys

    public List<String> keys

  - ### date1

    public Calendar date1

  - ### date2

    public Calendar date2

  - ### tariffInit

    public boolean tariffInit

  - ### itemId

    public int itemId

  - ### contract

    public CalculateClientItem.ContractInfo contract

  - ### subContracts

    public Set<CalculateClientItem.ContractInfo> subContracts

  - ### tariffTreeListNew

    public List<ru.bitel.bgbilling.kernel.tariff.server.tree.TariffModuleTreeSet.Entry> tariffTreeListNew

  - ### subContractTariffTreeMapNew

    public Map<Integer,List<ru.bitel.bgbilling.kernel.tariff.server.tree.TariffModuleTreeSet.Entry>> subContractTariffTreeMapNew

- ## Constructor Details

  - ### CalculateClientItem

    public CalculateClientItem(ClientItem item, CalculateClientItem.ContractInfo contract, Set<CalculateClientItem.ContractInfo> subContracts)

- ## Method Details

  - ### getNotFromNumberPattern

    public Pattern getNotFromNumberPattern()

  - ### setNotFromNumberPattern

    public void setNotFromNumberPattern(Pattern notFromNumberPattern)

  - ### getNotToNumberPattern

    public Pattern getNotToNumberPattern()

  - ### setNotToNumberPattern

    public void setNotToNumberPattern(Pattern notToNumberPattern)

  - ### check

    public boolean check(ru.bitel.bgbilling.modules.phone.server.LogRecord record, ru.bitel.bgbilling.kernel.base.phone.server.RangeMapCache rangeMapCache)

  - ### getFromPortsPattern

    public Pattern getFromPortsPattern()

  - ### setFromPortsPattern

    public void setFromPortsPattern(Pattern fromPortsPattern)

  - ### getToPortsPattern

    public Pattern getToPortsPattern()

  - ### setToPortsPattern

    public void setToPortsPattern(Pattern toPortsPattern)